package com.ruoyi.web.work.api;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.work.domain.ObrRequest;
import com.ruoyi.web.work.service.ObrRequestService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * 检测报告列表
 */
@RestController
@RequestMapping("/app/obrRequest")
@Api(tags = "小程序检测报告列表")
public class Api_ObrRequestController {

    @Autowired
    private ObrRequestService obrRequestService;


    /**
     * 根据就诊卡号查询患者报告
     * @param cardId
     * @return
     */
    @ApiOperation(value = "检测报告列表")
    @GetMapping("/{cardId}")
    public AjaxResult getObrRequestByCardId(@PathVariable String cardId){
        List<ObrRequest> obrRequestList = obrRequestService.getObrRequestByCardId(cardId);
        return AjaxResult.success(obrRequestList);
    }
}
