package com.ruoyi.web.work.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.web.work.domain.Diagnosis;
import com.ruoyi.web.work.mapper.DiagnosisMapper;
import com.ruoyi.web.work.service.IDiagnosisService;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class DiagnosisServiceImpl extends ServiceImpl<DiagnosisMapper, Diagnosis> implements IDiagnosisService {

    /**
     * 根据就诊ID获取诊断详情
     * @param visitId
     * @return
     */
    @Override
    public List<Diagnosis> getDiagnosisInfoByVisitId(String visitId) {
        LambdaQueryWrapper<Diagnosis> wrapper = new LambdaQueryWrapper<>();
        wrapper.eq(Diagnosis::getVisitId,visitId);
        return baseMapper.selectList(wrapper);
    }
}
