package com.ruoyi.web.work.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.web.work.domain.Visit;
import com.ruoyi.web.work.mapper.VisitMapper;
import com.ruoyi.web.work.service.IVisitService;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;
import java.util.List;

@Service
public class VisitServiceImpl extends ServiceImpl<VisitMapper, Visit> implements IVisitService {

    /**
     * 根据就诊卡号获取就诊记录列表
     * @param cardId
     * @return
     */
    @Override
    public List<Visit> getVisitByCardId(String cardId, LocalDateTime startTime, LocalDateTime endTime) {
        LambdaQueryWrapper<Visit> wrapper = new LambdaQueryWrapper<>();
        wrapper.eq(Visit::getCardId,cardId);
        if (startTime != null && endTime != null){
            wrapper.between(Visit::getAdmissionTime,startTime,endTime);
        }
        return baseMapper.selectList(wrapper);
    }
}
